linux-ec2: 2.6.32-377.94 -proposed tracker

Bug #1449524 reported by Stefan Bader on 2015-04-28
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Stefan Bader
Prepare-package-meta
Medium
Stefan Bader
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Stefan Bader
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux-ec2 (Ubuntu)
Medium
Unassigned
Lucid
Medium
Unassigned

Bug Description

This bug is for tracking the 2.6.32-377.94 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 28. April 2015 11:50 UTC
kernel-stable-master-bug:1449441
kernel-stable-Certification-testing-end:Tuesday, 28. April 2015 12:01 UTC
kernel-stable-Prepare-package-end:Tuesday, 28. April 2015 14:02 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 28. April 2015 14:02 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 28. April 2015 17:22 UTC
kernel-stable-Security-signoff-start:Tuesday, 28. April 2015 19:02 UTC
kernel-stable-Regression-testing-start:Tuesday, 28. April 2015 19:02 UTC
proposed-announcement-sent:True
kernel-stable-Verification-testing-start:Tuesday, 28. April 2015 19:02 UTC
kernel-stable-Verification-testing-end:Wednesday, 29. April 2015 08:01 UTC
kernel-stable-Security-signoff-end:Wednesday, 29. April 2015 10:01 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 29. April 2015 15:50 UTC
kernel-stable-Regression-testing-end:Wednesday, 29. April 2015 15:50 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 29. April 2015 16:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 29. April 2015 17:03 UTC

CVE References

Stefan Bader (smb) on 2015-04-28
tags: added: kernel-release-tracking-bug
tags: added: block-proposed-lucid
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu):
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu Lucid):
importance: Undecided → Medium
Brad Figg (brad-figg) on 2015-04-28
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) on 2015-04-28
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-ec2 (Ubuntu Lucid):
status: New → Confirmed
Changed in linux-ec2 (Ubuntu):
status: New → Confirmed
Adam Conrad (adconrad) on 2015-04-28
Changed in linux-ec2 (Ubuntu):
status: Confirmed → Invalid
Brad Figg (brad-figg) on 2015-04-28
description: updated
Brad Figg (brad-figg) on 2015-04-28
description: updated
Brad Figg (brad-figg) on 2015-04-29
tags: added: verification-done-lucid
Brad Figg (brad-figg) on 2015-04-29
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2015-04-29
description: updated
Adam Conrad (adconrad) on 2015-04-29
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2015-04-29
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ec2 - 2.6.32-377.94

---------------
linux-ec2 (2.6.32-377.94) lucid; urgency=low

  [ Stefan Bader ]

  * Release Tracking Bug
    - LP: #1449524
  * Rebase to Ubuntu-2.6.32-74.142

  [ Ubuntu: 2.6.32-74.142 ]

  * fs: take i_mutex during prepare_binprm for set[ug]id executables
    - LP: #1447373
    - CVE-2015-3339

  [ Ubuntu: 2.6.32-73.141 ]

  * IB/core: Prevent integer overflow in ib_umem_get address arithmetic
    - LP: #1413741
    - CVE-2015-8159

 -- Stefan Bader <email address hidden> Tue, 28 Apr 2015 11:59:29 +0200

Changed in linux-ec2 (Ubuntu Lucid):
status: Confirmed → Fix Released
Brad Figg (brad-figg) on 2015-04-29
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers